For the complete documentation index, see llms.txt. This page is also available as Markdown.

Order

Order

Get Order by order uid

get
/tenants/{tenantUid}/orders/{orderUid}

Get order by order uid

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

Use invoiceAddress only if an order has a different invoice than orderAddress.

createdAtstring · date-timeRequired
customerUidstringRequiredPattern: ^[A-Za-z0-9-_]*
deliveryStatestring · enumRequired
ENUMDescription
NOT_STARTEDDelivery not started
IN_PROGRESSDelivery is in progress. Some order lines are still reserved
COMPLETEDelivery is complete. All order lines are delivered
Possible values:
externalOrderNumberstringRequired
externalVoucherNumberstringRequired
lastModifiedAtstring · date-timeRequired
notestringRequired

Note visible on the receipt.

internalNotestringRequired

Internal note, not visible on the receipt.

orderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderNumberstringRequired
orderDatestring · date-time · nullableRequired

This field has value if type == ORDER

orderStatestring · enumRequired
ENUMDescription
OPENOrder is open and beeing edited by someone
PARKEDOrder is parked
CANCELEDOrder is canceled/deleted
COMPLETEOrder is complete
CONFIRMEDOrder is confirmed
Possible values:
orderhandlingStatestring · enumRequired
ENUMDescription
NOT_STARTEDHandling has not been started.
IN_PROGRESSHandling is in progress.
ON_HOLDHandling is paused (on hold).
COMPLETEHandling is complete.
Possible values:
settleStatestring · enumRequired
ENUMDescription
NOT_STARTEDSettlement not started
IN_PROGRESSSettlement is in progress and the order cannot be changed
COMPLETESettlement is complete
Possible values:
settledAtstring · date-time · nullableOptional

When the settleState is set COMPLETE.

storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
storeNamestringRequired
systemOriginstringRequired
tenantUserDisplayNamestringRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tillUidstringRequiredPattern: ^[A-Za-z0-9-_]*
typestring · enumRequiredPossible values:
validUntilstring · date-time · nullableOptional
vatFreebooleanRequired
vatPrintstring · enumRequired
ENUMDescription
SUMPrint as a part of orderlines.
SEPARATEPrint as a separate field.
Possible values:
voucherNumberstringRequired

A reference to a fully settled order.

deliveryDatestring · dateRequired
compensationReasonUidstringRequiredPattern: ^[A-Za-z0-9-_]*
lastModifiedBystringRequired
get/tenants/{tenantUid}/orders/{orderUid}
GET /v2/tenants/{tenantUid}/orders/{orderUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "customerAddress": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "email": "text",
    "firstname": "text",
    "lastname": "text",
    "mobile": "text",
    "postalCode": "text",
    "vatNumber": "text",
    "displayName": "text"
  },
  "customerUid": "text",
  "customerContact": {
    "customerContactUid": "text",
    "firstname": "text",
    "lastname": "text",
    "email": "text",
    "mobile": "text",
    "displayName": "text"
  },
  "deliveryState": "NOT_STARTED",
  "externalOrderNumber": "text",
  "externalVoucherNumber": "text",
  "invoiceAddress": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "email": "text",
    "mobile": "text",
    "firstname": "text",
    "lastname": "text",
    "postalCode": "text",
    "displayName": "text",
    "customerAddressUid": "text"
  },
  "items": [
    {
      "actions": [
        {
          "comment": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "handlingActionUid": "text",
          "handlingActionName": "text",
          "handlingDescription": "text",
          "handlingUid": "text",
          "handlingName": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "orderHandlingActionUid": "text"
        }
      ],
      "allowedActions": [
        "QUANTITY_SOLD"
      ],
      "createdAt": "2026-01-01T00:00:00.000Z",
      "discountReasonCode": "text",
      "externalId": "text",
      "itemCost": 1,
      "itemDiscountAmount": 1,
      "itemDiscountPercentage": 1,
      "itemGrossProfitAmount": 1,
      "itemGrossProfitPercentage": 1,
      "itemPrice": 1,
      "itemVatAmount": 1,
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "name": "text",
      "note": "text",
      "orderItemUid": "text",
      "orderLinks": [
        {
          "orderUid": "text",
          "orderItemUid": "text",
          "orderNumber": "text",
          "storeUid": "text",
          "type": "CREDIT"
        }
      ],
      "originalItemPrice": 1,
      "productUid": "text",
      "productType": "STOCK",
      "properties": [
        {
          "uid": "text",
          "key": "text",
          "value": "text"
        }
      ],
      "quantityCredited": 1,
      "quantityDelivered": 1,
      "quantityOrdered": 1,
      "quantityReserved": 1,
      "returnReasonCode": "text",
      "serialnumber": "text",
      "sku": "text",
      "sortOrder": 1,
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "totalCost": 1,
      "totalDiscountAmount": 1,
      "totalGrossProfitAmount": 1,
      "totalPrice": 1,
      "totalVatAmount": 1,
      "vatCodeUid": "text",
      "warehouseUid": "text",
      "warehouseName": "text",
      "internalInfo": "text",
      "productProperties": [
        {
          "productPropertyUid": "text",
          "propertyName": "text",
          "propertyOptionName": "text",
          "propertyType": "TEXT",
          "propertyText": "text",
          "propertyUid": "text",
          "propertyOptionUid": "text",
          "required": true
        }
      ],
      "coverImage": {
        "productMediaUid": "text",
        "mainUrl": "text",
        "thumbnailUrl": "text"
      },
      "deliveryUid": "text",
      "compensationReasonCode": "text",
      "orderReceiptUid": "text",
      "allowDelivery": "YES",
      "allowDeliveryFromDate": "2026-01-01T00:00:00.000Z",
      "reservationType": "NONE",
      "reservationDetails": {
        "warehouse": {
          "warehouseName": "text"
        },
        "purchaseOrder": {
          "purchaseOrderUid": "text",
          "purchaseOrderItemUid": "text",
          "expectedDeliveryDate": "2026-01-01T00:00:00.000Z",
          "purchaseOrderNumber": "text",
          "quantityOrdered": 1,
          "externalId": "text"
        },
        "receivement": {
          "receivementUid": "text",
          "receivementItemUid": "text",
          "expectedArrival": "2026-01-01T00:00:00.000Z",
          "expectedDispatch": "2026-01-01T00:00:00.000Z",
          "quantity": 1,
          "supplierOrderReference": "text",
          "receivedAt": "2026-01-01T00:00:00.000Z"
        }
      },
      "gtins": [
        {
          "gtin": "text",
          "primary": true,
          "type": "text"
        }
      ]
    }
  ],
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "note": "text",
  "internalNote": "text",
  "orderUid": "text",
  "orderNumber": "text",
  "orderDate": "2026-01-01T00:00:00.000Z",
  "orderState": "OPEN",
  "orderTotals": {
    "costTotal": 1,
    "grandTotal": 1,
    "grossProfitAmount": 1,
    "grossProfitPercentage": 1,
    "specifiedVat": [
      {
        "vatAmount": 1,
        "vatDescription": "text",
        "vatRate": 1
      }
    ],
    "subtotal": 1,
    "totalDiscount": 1,
    "totalVat": 1
  },
  "orderhandlingState": "NOT_STARTED",
  "orderhandlings": [
    {
      "active": true,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "description": "text",
      "handlingUid": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "name": "text",
      "orderHandlingUid": "text",
      "state": "NOT_STARTED"
    }
  ],
  "settleState": "NOT_STARTED",
  "settledAt": "2026-01-01T00:00:00.000Z",
  "settlementTotals": {
    "change": 1,
    "remaining": 1,
    "remainingRounded": 1,
    "totals": 1,
    "remainingPrePayment": 1,
    "remainingAuthorizedAmount": 1
  },
  "settlements": [
    {
      "amount": 1,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "displayMessages": [
        {
          "key": "text",
          "message": "text",
          "timestamp": "2026-01-01T00:00:00.000Z"
        }
      ],
      "externalId": "text",
      "externalPaymentReference": "text",
      "idMethod": "NO_CVM_RULE_PERFORMED",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "ledgerType": "LEDGER",
      "parameters": [
        {
          "key": "text",
          "value": "text",
          "name": "text",
          "type": "TEXT"
        }
      ],
      "settledAt": "2026-01-01T00:00:00.000Z",
      "settlementCode": "text",
      "settlementUid": "text",
      "settlementName": "text",
      "state": "NOT_STARTED",
      "status": "NEW",
      "storeSettlementIssuer": {
        "storeSettlementIssuerUid": "text",
        "name": "text",
        "code": "text"
      },
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "storePaymentMethodUid": "text",
      "currency": {
        "amount": 1,
        "code": "text",
        "exchangeRate": 1
      },
      "additionalDetails": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "creditCount": 1,
      "creditAmount": 1,
      "paymentCount": 1,
      "paymentAmount": 1,
      "tillUid": "text",
      "tillName": "text",
      "tillNumber": 1,
      "storeUid": "text",
      "storeName": "text",
      "orderReceiptUid": "text",
      "authorizedAmount": 1,
      "capturedAmount": 1,
      "refundedAmount": 1,
      "receiptText": "text",
      "transactions": [
        {
          "transactionType": "text",
          "pspTransactionId": "text",
          "transactionAmount": 1,
          "orderReceiptUid": "text"
        }
      ]
    }
  ],
  "storeUid": "text",
  "storeName": "text",
  "systemOrigin": "text",
  "tenantUserDisplayName": "text",
  "tenantUserUid": "text",
  "tillUid": "text",
  "type": "OFFER",
  "validUntil": "2026-01-01T00:00:00.000Z",
  "vatFree": true,
  "vatPrint": "SUM",
  "voucherNumber": "text",
  "deliveryDate": "2026-01-01",
  "discounts": [
    {
      "orderDiscountUid": "text",
      "discountCode": "text",
      "type": "PERCENTAGE",
      "amount": 1,
      "name": "text",
      "origin": "LOYALTY",
      "validTo": "2026-01-01T00:00:00.000Z",
      "maxUsage": 1,
      "productSkus": [
        "text"
      ],
      "orderItemUids": [
        "text"
      ],
      "externalTransactionId": "text",
      "scope": "WHOLE_ORDER",
      "discountReasonCode": "text",
      "discountReference": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "campaignUid": "text"
    }
  ],
  "compensationReasonUid": "text",
  "lastModifiedBy": "text",
  "allowedActions": []
}

List orders

get
/tenants/{tenantUid}/stores/{storeUid}/orders

List all orders.

The query parameter orderStatus can not be used in combination with orderOrderState, orderSettleState or orderDeliveryState.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
orderExternalOrderNumberstringOptional

External reference to a orderUid.

orderExternalVoucherNumberstringOptional

External reference to a voucher id.

orderCustomerUidstringOptional

Reference to a Customer uid.

Pattern: ^[A-Za-z0-9-_]+
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
orderHandlingUidsstring[]Optional

Reference to a handling uid.

orderSettledAtFromstring · date-timeOptional

Filter by settled at from a specific date

orderSettledAtTostring · date-timeOptional

Filter by settled at to a specific date

orderCreatedAtFromstring · date-timeOptional

Filter by created at from a specific date

orderCreatedAtTostring · date-timeOptional

Filter by created at to a specific date

orderTillUidstringOptional

Reference to a till uid.

Pattern: ^[A-Za-z0-9-_]+
orderTenantUserUidsstring[]Optional

Reference to a tenantUserUid.

Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/orders
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "customerAddress": {
        "address": "text",
        "city": "text",
        "companyName": "text",
        "countryCode": "text",
        "email": "text",
        "firstname": "text",
        "lastname": "text",
        "mobile": "text",
        "postalCode": "text",
        "vatNumber": "text",
        "displayName": "text"
      },
      "customerUid": "text",
      "customerContact": {
        "customerContactUid": "text",
        "firstname": "text",
        "lastname": "text",
        "email": "text",
        "mobile": "text",
        "displayName": "text"
      },
      "deliveryState": "NOT_STARTED",
      "externalOrderNumber": "text",
      "externalVoucherNumber": "text",
      "invoiceAddress": {
        "address": "text",
        "city": "text",
        "companyName": "text",
        "countryCode": "text",
        "email": "text",
        "mobile": "text",
        "firstname": "text",
        "lastname": "text",
        "postalCode": "text",
        "displayName": "text",
        "customerAddressUid": "text"
      },
      "items": [
        {
          "actions": [
            {
              "comment": "text",
              "createdAt": "2026-01-01T00:00:00.000Z",
              "createdBy": "text",
              "handlingActionUid": "text",
              "handlingActionName": "text",
              "handlingDescription": "text",
              "handlingUid": "text",
              "handlingName": "text",
              "lastModifiedAt": "2026-01-01T00:00:00.000Z",
              "lastModifiedBy": "text",
              "orderHandlingActionUid": "text"
            }
          ],
          "allowedActions": [
            "QUANTITY_SOLD"
          ],
          "createdAt": "2026-01-01T00:00:00.000Z",
          "discountReasonCode": "text",
          "externalId": "text",
          "itemCost": 1,
          "itemDiscountAmount": 1,
          "itemDiscountPercentage": 1,
          "itemGrossProfitAmount": 1,
          "itemGrossProfitPercentage": 1,
          "itemPrice": 1,
          "itemVatAmount": 1,
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "ledgerNumber": "text",
          "name": "text",
          "note": "text",
          "orderItemUid": "text",
          "orderLinks": [
            {
              "orderUid": "text",
              "orderItemUid": "text",
              "orderNumber": "text",
              "storeUid": "text",
              "type": "CREDIT"
            }
          ],
          "originalItemPrice": 1,
          "productUid": "text",
          "productType": "STOCK",
          "properties": [
            {
              "uid": "text",
              "key": "text",
              "value": "text"
            }
          ],
          "quantityCredited": 1,
          "quantityDelivered": 1,
          "quantityOrdered": 1,
          "quantityReserved": 1,
          "returnReasonCode": "text",
          "serialnumber": "text",
          "sku": "text",
          "sortOrder": 1,
          "tenantUserDisplayName": "text",
          "tenantUserUid": "text",
          "totalCost": 1,
          "totalDiscountAmount": 1,
          "totalGrossProfitAmount": 1,
          "totalPrice": 1,
          "totalVatAmount": 1,
          "vatCodeUid": "text",
          "warehouseUid": "text",
          "warehouseName": "text",
          "internalInfo": "text",
          "productProperties": [
            {
              "productPropertyUid": "text",
              "propertyName": "text",
              "propertyOptionName": "text",
              "propertyType": "TEXT",
              "propertyText": "text",
              "propertyUid": "text",
              "propertyOptionUid": "text",
              "required": true
            }
          ],
          "coverImage": {
            "productMediaUid": "text",
            "mainUrl": "text",
            "thumbnailUrl": "text"
          },
          "deliveryUid": "text",
          "compensationReasonCode": "text",
          "orderReceiptUid": "text",
          "allowDelivery": "YES",
          "allowDeliveryFromDate": "2026-01-01T00:00:00.000Z",
          "reservationType": "NONE",
          "reservationDetails": {
            "warehouse": {
              "warehouseName": "text"
            },
            "purchaseOrder": {
              "purchaseOrderUid": "text",
              "purchaseOrderItemUid": "text",
              "expectedDeliveryDate": "2026-01-01T00:00:00.000Z",
              "purchaseOrderNumber": "text",
              "quantityOrdered": 1,
              "externalId": "text"
            },
            "receivement": {
              "receivementUid": "text",
              "receivementItemUid": "text",
              "expectedArrival": "2026-01-01T00:00:00.000Z",
              "expectedDispatch": "2026-01-01T00:00:00.000Z",
              "quantity": 1,
              "supplierOrderReference": "text",
              "receivedAt": "2026-01-01T00:00:00.000Z"
            }
          },
          "gtins": [
            {
              "gtin": "text",
              "primary": true,
              "type": "text"
            }
          ]
        }
      ],
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "note": "text",
      "internalNote": "text",
      "orderUid": "text",
      "orderNumber": "text",
      "orderDate": "2026-01-01T00:00:00.000Z",
      "orderState": "OPEN",
      "orderTotals": {
        "costTotal": 1,
        "grandTotal": 1,
        "grossProfitAmount": 1,
        "grossProfitPercentage": 1,
        "specifiedVat": [
          {
            "vatAmount": 1,
            "vatDescription": "text",
            "vatRate": 1
          }
        ],
        "subtotal": 1,
        "totalDiscount": 1,
        "totalVat": 1
      },
      "orderhandlingState": "NOT_STARTED",
      "orderhandlings": [
        {
          "active": true,
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "description": "text",
          "handlingUid": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "name": "text",
          "orderHandlingUid": "text",
          "state": "NOT_STARTED"
        }
      ],
      "settleState": "NOT_STARTED",
      "settledAt": "2026-01-01T00:00:00.000Z",
      "settlementTotals": {
        "change": 1,
        "remaining": 1,
        "remainingRounded": 1,
        "totals": 1,
        "remainingPrePayment": 1,
        "remainingAuthorizedAmount": 1
      },
      "settlements": [
        {
          "amount": 1,
          "createdAt": "2026-01-01T00:00:00.000Z",
          "displayMessages": [
            {
              "key": "text",
              "message": "text",
              "timestamp": "2026-01-01T00:00:00.000Z"
            }
          ],
          "externalId": "text",
          "externalPaymentReference": "text",
          "idMethod": "NO_CVM_RULE_PERFORMED",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "ledgerNumber": "text",
          "ledgerType": "LEDGER",
          "parameters": [
            {
              "key": "text",
              "value": "text",
              "name": "text",
              "type": "TEXT"
            }
          ],
          "settledAt": "2026-01-01T00:00:00.000Z",
          "settlementCode": "text",
          "settlementUid": "text",
          "settlementName": "text",
          "state": "NOT_STARTED",
          "status": "NEW",
          "storeSettlementIssuer": {
            "storeSettlementIssuerUid": "text",
            "name": "text",
            "code": "text"
          },
          "tenantUserDisplayName": "text",
          "tenantUserUid": "text",
          "storePaymentMethodUid": "text",
          "currency": {
            "amount": 1,
            "code": "text",
            "exchangeRate": 1
          },
          "additionalDetails": [
            {
              "key": "text",
              "value": "text"
            }
          ],
          "creditCount": 1,
          "creditAmount": 1,
          "paymentCount": 1,
          "paymentAmount": 1,
          "tillUid": "text",
          "tillName": "text",
          "tillNumber": 1,
          "storeUid": "text",
          "storeName": "text",
          "orderReceiptUid": "text",
          "authorizedAmount": 1,
          "capturedAmount": 1,
          "refundedAmount": 1,
          "receiptText": "text",
          "transactions": [
            {
              "transactionType": "text",
              "pspTransactionId": "text",
              "transactionAmount": 1,
              "orderReceiptUid": "text"
            }
          ]
        }
      ],
      "storeUid": "text",
      "storeName": "text",
      "systemOrigin": "text",
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "tillUid": "text",
      "type": "OFFER",
      "validUntil": "2026-01-01T00:00:00.000Z",
      "vatFree": true,
      "vatPrint": "SUM",
      "voucherNumber": "text",
      "deliveryDate": "2026-01-01",
      "discounts": [
        {
          "orderDiscountUid": "text",
          "discountCode": "text",
          "type": "PERCENTAGE",
          "amount": 1,
          "name": "text",
          "origin": "LOYALTY",
          "validTo": "2026-01-01T00:00:00.000Z",
          "maxUsage": 1,
          "productSkus": [
            "text"
          ],
          "orderItemUids": [
            "text"
          ],
          "externalTransactionId": "text",
          "scope": "WHOLE_ORDER",
          "discountReasonCode": "text",
          "discountReference": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "campaignUid": "text"
        }
      ],
      "compensationReasonUid": "text",
      "lastModifiedBy": "text",
      "allowedActions": []
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create a new order

post
/tenants/{tenantUid}/stores/{storeUid}/orders

Create a new order.

Required permissions: SALES_ORDER,RETURN_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
customerUidstringOptionalPattern: ^[A-Za-z0-9-_]*
customerContactUidstringOptionalPattern: ^[A-Za-z0-9-_]*
deviceIdentifierstringOptional
externalOrderNumberstringOptional
externalVoucherNumberstringOptional
invoiceCustomerAddressUidstringOptionalPattern: ^[A-Za-z0-9-_]+
notestringOptional

Note visible on the receipt.

internalNotestringOptional

Internal note, not visible on the receipt.

typestring · enumOptionalPossible values:
validUntilstring · date-timeOptional
vatFreebooleanOptional
vatPrintstring · enumOptional
ENUMDescription
SUMPrint as a part of orderlines.
SEPARATEPrint as a separate field.
Possible values:
orderUidstringOptionalPattern: ^[A-Za-z0-9-_]+
systemOriginstringOptional
compensationReasonUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

Use invoiceAddress only if an order has a different invoice than orderAddress.

createdAtstring · date-timeRequired
customerUidstringRequiredPattern: ^[A-Za-z0-9-_]*
deliveryStatestring · enumRequired
ENUMDescription
NOT_STARTEDDelivery not started
IN_PROGRESSDelivery is in progress. Some order lines are still reserved
COMPLETEDelivery is complete. All order lines are delivered
Possible values:
externalOrderNumberstringRequired
externalVoucherNumberstringRequired
lastModifiedAtstring · date-timeRequired
notestringRequired

Note visible on the receipt.

internalNotestringRequired

Internal note, not visible on the receipt.

orderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderNumberstringRequired
orderDatestring · date-time · nullableRequired

This field has value if type == ORDER

orderStatestring · enumRequired
ENUMDescription
OPENOrder is open and beeing edited by someone
PARKEDOrder is parked
CANCELEDOrder is canceled/deleted
COMPLETEOrder is complete
CONFIRMEDOrder is confirmed
Possible values:
orderhandlingStatestring · enumRequired
ENUMDescription
NOT_STARTEDHandling has not been started.
IN_PROGRESSHandling is in progress.
ON_HOLDHandling is paused (on hold).
COMPLETEHandling is complete.
Possible values:
settleStatestring · enumRequired
ENUMDescription
NOT_STARTEDSettlement not started
IN_PROGRESSSettlement is in progress and the order cannot be changed
COMPLETESettlement is complete
Possible values:
settledAtstring · date-time · nullableOptional

When the settleState is set COMPLETE.

storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
storeNamestringRequired
systemOriginstringRequired
tenantUserDisplayNamestringRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tillUidstringRequiredPattern: ^[A-Za-z0-9-_]*
typestring · enumRequiredPossible values:
validUntilstring · date-time · nullableOptional
vatFreebooleanRequired
vatPrintstring · enumRequired
ENUMDescription
SUMPrint as a part of orderlines.
SEPARATEPrint as a separate field.
Possible values:
voucherNumberstringRequired

A reference to a fully settled order.

deliveryDatestring · dateRequired
compensationReasonUidstringRequiredPattern: ^[A-Za-z0-9-_]*
lastModifiedBystringRequired
post/tenants/{tenantUid}/stores/{storeUid}/orders
POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 764

{
  "customerAddress": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "email": "text",
    "mobile": "text",
    "firstname": "text",
    "lastname": "text",
    "postalCode": "text",
    "vatNumber": "text"
  },
  "customerUid": "text",
  "customerContactUid": "text",
  "deviceIdentifier": "text",
  "externalOrderNumber": "text",
  "externalVoucherNumber": "text",
  "invoiceCustomerAddressUid": "text",
  "invoiceAddress": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "email": "text",
    "mobile": "text",
    "firstname": "text",
    "lastname": "text",
    "postalCode": "text",
    "vatNumber": "text"
  },
  "note": "text",
  "internalNote": "text",
  "type": "OFFER",
  "validUntil": "2026-01-01T00:00:00.000Z",
  "vatFree": true,
  "vatPrint": "SUM",
  "orderUid": "text",
  "systemOrigin": "text",
  "compensationReasonUid": "text"
}
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "customerAddress": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "email": "text",
    "firstname": "text",
    "lastname": "text",
    "mobile": "text",
    "postalCode": "text",
    "vatNumber": "text",
    "displayName": "text"
  },
  "customerUid": "text",
  "customerContact": {
    "customerContactUid": "text",
    "firstname": "text",
    "lastname": "text",
    "email": "text",
    "mobile": "text",
    "displayName": "text"
  },
  "deliveryState": "NOT_STARTED",
  "externalOrderNumber": "text",
  "externalVoucherNumber": "text",
  "invoiceAddress": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "email": "text",
    "mobile": "text",
    "firstname": "text",
    "lastname": "text",
    "postalCode": "text",
    "displayName": "text",
    "customerAddressUid": "text"
  },
  "items": [
    {
      "actions": [
        {
          "comment": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "handlingActionUid": "text",
          "handlingActionName": "text",
          "handlingDescription": "text",
          "handlingUid": "text",
          "handlingName": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "orderHandlingActionUid": "text"
        }
      ],
      "allowedActions": [
        "QUANTITY_SOLD"
      ],
      "createdAt": "2026-01-01T00:00:00.000Z",
      "discountReasonCode": "text",
      "externalId": "text",
      "itemCost": 1,
      "itemDiscountAmount": 1,
      "itemDiscountPercentage": 1,
      "itemGrossProfitAmount": 1,
      "itemGrossProfitPercentage": 1,
      "itemPrice": 1,
      "itemVatAmount": 1,
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "name": "text",
      "note": "text",
      "orderItemUid": "text",
      "orderLinks": [
        {
          "orderUid": "text",
          "orderItemUid": "text",
          "orderNumber": "text",
          "storeUid": "text",
          "type": "CREDIT"
        }
      ],
      "originalItemPrice": 1,
      "productUid": "text",
      "productType": "STOCK",
      "properties": [
        {
          "uid": "text",
          "key": "text",
          "value": "text"
        }
      ],
      "quantityCredited": 1,
      "quantityDelivered": 1,
      "quantityOrdered": 1,
      "quantityReserved": 1,
      "returnReasonCode": "text",
      "serialnumber": "text",
      "sku": "text",
      "sortOrder": 1,
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "totalCost": 1,
      "totalDiscountAmount": 1,
      "totalGrossProfitAmount": 1,
      "totalPrice": 1,
      "totalVatAmount": 1,
      "vatCodeUid": "text",
      "warehouseUid": "text",
      "warehouseName": "text",
      "internalInfo": "text",
      "productProperties": [
        {
          "productPropertyUid": "text",
          "propertyName": "text",
          "propertyOptionName": "text",
          "propertyType": "TEXT",
          "propertyText": "text",
          "propertyUid": "text",
          "propertyOptionUid": "text",
          "required": true
        }
      ],
      "coverImage": {
        "productMediaUid": "text",
        "mainUrl": "text",
        "thumbnailUrl": "text"
      },
      "deliveryUid": "text",
      "compensationReasonCode": "text",
      "orderReceiptUid": "text",
      "allowDelivery": "YES",
      "allowDeliveryFromDate": "2026-01-01T00:00:00.000Z",
      "reservationType": "NONE",
      "reservationDetails": {
        "warehouse": {
          "warehouseName": "text"
        },
        "purchaseOrder": {
          "purchaseOrderUid": "text",
          "purchaseOrderItemUid": "text",
          "expectedDeliveryDate": "2026-01-01T00:00:00.000Z",
          "purchaseOrderNumber": "text",
          "quantityOrdered": 1,
          "externalId": "text"
        },
        "receivement": {
          "receivementUid": "text",
          "receivementItemUid": "text",
          "expectedArrival": "2026-01-01T00:00:00.000Z",
          "expectedDispatch": "2026-01-01T00:00:00.000Z",
          "quantity": 1,
          "supplierOrderReference": "text",
          "receivedAt": "2026-01-01T00:00:00.000Z"
        }
      },
      "gtins": [
        {
          "gtin": "text",
          "primary": true,
          "type": "text"
        }
      ]
    }
  ],
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "note": "text",
  "internalNote": "text",
  "orderUid": "text",
  "orderNumber": "text",
  "orderDate": "2026-01-01T00:00:00.000Z",
  "orderState": "OPEN",
  "orderTotals": {
    "costTotal": 1,
    "grandTotal": 1,
    "grossProfitAmount": 1,
    "grossProfitPercentage": 1,
    "specifiedVat": [
      {
        "vatAmount": 1,
        "vatDescription": "text",
        "vatRate": 1
      }
    ],
    "subtotal": 1,
    "totalDiscount": 1,
    "totalVat": 1
  },
  "orderhandlingState": "NOT_STARTED",
  "orderhandlings": [
    {
      "active": true,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "description": "text",
      "handlingUid": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "name": "text",
      "orderHandlingUid": "text",
      "state": "NOT_STARTED"
    }
  ],
  "settleState": "NOT_STARTED",
  "settledAt": "2026-01-01T00:00:00.000Z",
  "settlementTotals": {
    "change": 1,
    "remaining": 1,
    "remainingRounded": 1,
    "totals": 1,
    "remainingPrePayment": 1,
    "remainingAuthorizedAmount": 1
  },
  "settlements": [
    {
      "amount": 1,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "displayMessages": [
        {
          "key": "text",
          "message": "text",
          "timestamp": "2026-01-01T00:00:00.000Z"
        }
      ],
      "externalId": "text",
      "externalPaymentReference": "text",
      "idMethod": "NO_CVM_RULE_PERFORMED",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "ledgerType": "LEDGER",
      "parameters": [
        {
          "key": "text",
          "value": "text",
          "name": "text",
          "type": "TEXT"
        }
      ],
      "settledAt": "2026-01-01T00:00:00.000Z",
      "settlementCode": "text",
      "settlementUid": "text",
      "settlementName": "text",
      "state": "NOT_STARTED",
      "status": "NEW",
      "storeSettlementIssuer": {
        "storeSettlementIssuerUid": "text",
        "name": "text",
        "code": "text"
      },
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "storePaymentMethodUid": "text",
      "currency": {
        "amount": 1,
        "code": "text",
        "exchangeRate": 1
      },
      "additionalDetails": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "creditCount": 1,
      "creditAmount": 1,
      "paymentCount": 1,
      "paymentAmount": 1,
      "tillUid": "text",
      "tillName": "text",
      "tillNumber": 1,
      "storeUid": "text",
      "storeName": "text",
      "orderReceiptUid": "text",
      "authorizedAmount": 1,
      "capturedAmount": 1,
      "refundedAmount": 1,
      "receiptText": "text",
      "transactions": [
        {
          "transactionType": "text",
          "pspTransactionId": "text",
          "transactionAmount": 1,
          "orderReceiptUid": "text"
        }
      ]
    }
  ],
  "storeUid": "text",
  "storeName": "text",
  "systemOrigin": "text",
  "tenantUserDisplayName": "text",
  "tenantUserUid": "text",
  "tillUid": "text",
  "type": "OFFER",
  "validUntil": "2026-01-01T00:00:00.000Z",
  "vatFree": true,
  "vatPrint": "SUM",
  "voucherNumber": "text",
  "deliveryDate": "2026-01-01",
  "discounts": [
    {
      "orderDiscountUid": "text",
      "discountCode": "text",
      "type": "PERCENTAGE",
      "amount": 1,
      "name": "text",
      "origin": "LOYALTY",
      "validTo": "2026-01-01T00:00:00.000Z",
      "maxUsage": 1,
      "productSkus": [
        "text"
      ],
      "orderItemUids": [
        "text"
      ],
      "externalTransactionId": "text",
      "scope": "WHOLE_ORDER",
      "discountReasonCode": "text",
      "discountReference": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "campaignUid": "text"
    }
  ],
  "compensationReasonUid": "text",
  "lastModifiedBy": "text",
  "allowedActions": []
}

Import new order from external source

post
/tenants/{tenantUid}/stores/{storeUid}/orders/import

Import new order from extern source. Complete order with lines and possibly settlements. sellerDisplayName can be set if an integrationToken is used. If no integrationToken and sellerDisplayName is set, an error is returned.

Required permissions: SALES_ORDER,RETURN_ORDER

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body

Schema for creating a complete order in one request.

orderDatestring · date-time · nullableOptional
customerUidstringOptionalPattern: ^[A-Za-z0-9-_]*
customerContactUidstringOptionalPattern: ^[A-Za-z0-9-_]*
externalOrderNumberstringOptional
externalVoucherNumberstringOptional
notestringOptional
internalNotestringOptional

Internal note, not visible on the receipt.

typestring · enumRequiredPossible values:
systemOriginstringOptional
validUntilstring · date-time · nullableRequired
vatFreebooleanRequired
vatPrintstring · enumOptional
ENUMDescription
SUMPrint as a part of orderlines.
SEPARATEPrint as a separate field.
Possible values:
orderUidstringOptionalPattern: ^[A-Za-z0-9-_]+
tenantUserDisplayNamestringOptional
handlingUidsstring[]Optional
Responses
200

Example response

application/json

Use invoiceAddress only if an order has a different invoice than orderAddress.

createdAtstring · date-timeRequired
customerUidstringRequiredPattern: ^[A-Za-z0-9-_]*
deliveryStatestring · enumRequired
ENUMDescription
NOT_STARTEDDelivery not started
IN_PROGRESSDelivery is in progress. Some order lines are still reserved
COMPLETEDelivery is complete. All order lines are delivered
Possible values:
externalOrderNumberstringRequired
externalVoucherNumberstringRequired
lastModifiedAtstring · date-timeRequired
notestringRequired

Note visible on the receipt.

internalNotestringRequired

Internal note, not visible on the receipt.

orderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderNumberstringRequired
orderDatestring · date-time · nullableRequired

This field has value if type == ORDER

orderStatestring · enumRequired
ENUMDescription
OPENOrder is open and beeing edited by someone
PARKEDOrder is parked
CANCELEDOrder is canceled/deleted
COMPLETEOrder is complete
CONFIRMEDOrder is confirmed
Possible values:
orderhandlingStatestring · enumRequired
ENUMDescription
NOT_STARTEDHandling has not been started.
IN_PROGRESSHandling is in progress.
ON_HOLDHandling is paused (on hold).
COMPLETEHandling is complete.
Possible values:
settleStatestring · enumRequired
ENUMDescription
NOT_STARTEDSettlement not started
IN_PROGRESSSettlement is in progress and the order cannot be changed
COMPLETESettlement is complete
Possible values:
settledAtstring · date-time · nullableOptional

When the settleState is set COMPLETE.

storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
storeNamestringRequired
systemOriginstringRequired
tenantUserDisplayNamestringRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tillUidstringRequiredPattern: ^[A-Za-z0-9-_]*
typestring · enumRequiredPossible values:
validUntilstring · date-time · nullableOptional
vatFreebooleanRequired
vatPrintstring · enumRequired
ENUMDescription
SUMPrint as a part of orderlines.
SEPARATEPrint as a separate field.
Possible values:
voucherNumberstringRequired

A reference to a fully settled order.

deliveryDatestring · dateRequired
compensationReasonUidstringRequiredPattern: ^[A-Za-z0-9-_]*
lastModifiedBystringRequired
post/tenants/{tenantUid}/stores/{storeUid}/orders/import
POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/import HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2690

{
  "orderDate": "2026-01-01T00:00:00.000Z",
  "customerAddress": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "email": "text",
    "mobile": "text",
    "firstname": "text",
    "lastname": "text",
    "postalCode": "text",
    "vatNumber": "text"
  },
  "customerUid": "text",
  "customerContactUid": "text",
  "externalOrderNumber": "text",
  "externalVoucherNumber": "text",
  "invoiceAddress": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "email": "text",
    "mobile": "text",
    "firstname": "text",
    "lastname": "text",
    "postalCode": "text",
    "vatNumber": "text"
  },
  "items": [
    {
      "discountReasonCode": "text",
      "externalId": "text",
      "itemDiscountAmount": 1,
      "itemDiscountPercentage": 1,
      "itemPrice": 1,
      "note": "text",
      "orderItemLink": {
        "linkType": "CREDIT",
        "orderItemUid": "text"
      },
      "productUid": "text",
      "properties": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "quantityOrdered": 1,
      "deliveryUid": "text",
      "returnReasonCode": "text",
      "serialnumber": "text",
      "sku": "text",
      "warehouseUid": "text",
      "purchaseOrderItemUid": "text",
      "orderItemUid": "text",
      "reservationType": "NONE",
      "sortOrder": 1,
      "itemCostPrice": 1,
      "productName": "text"
    }
  ],
  "note": "text",
  "internalNote": "text",
  "orderTotals": {
    "grandTotal": 1,
    "totalDiscount": 1,
    "totalVat": 1
  },
  "settlements": [
    {
      "amount": 1,
      "externalId": "text",
      "externalPaymentReference": "text",
      "settlementUid": "text",
      "settledAt": "2026-01-01T00:00:00.000Z",
      "storePaymentMethodUid": "text",
      "parameters": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "settlementCode": "text",
      "status": "CAPTURED",
      "storeSettlementIssuer": {
        "name": "text",
        "code": "text"
      }
    }
  ],
  "type": "OFFER",
  "systemOrigin": "text",
  "validUntil": "2026-01-01T00:00:00.000Z",
  "vatFree": true,
  "vatPrint": "SUM",
  "orderUid": "text",
  "tenantUserDisplayName": "text",
  "handlingUids": [
    "text"
  ],
  "orderDeliveries": [
    {
      "deliveryAddress": {
        "address": "text",
        "city": "text",
        "companyName": "text",
        "countryCode": "text",
        "email": "text",
        "mobile": "text",
        "firstname": "text",
        "lastname": "text",
        "postalCode": "text"
      },
      "deliveryState": "NOT_DELIVERED",
      "deliveryDate": "2026-01-01T00:00:00.000Z",
      "externalDeliveryReference": "text",
      "signature": "text",
      "warehouseUid": "text",
      "deliveryUid": "text",
      "shipping": {
        "deliveryCustomerAddressUid": "text",
        "deliveryAddress": {
          "address": "text",
          "city": "text",
          "companyName": "text",
          "countryCode": "text",
          "email": "text",
          "mobile": "text",
          "firstname": "text",
          "lastname": "text",
          "postalCode": "text"
        },
        "pickupPoint": {
          "pickupPointId": "text",
          "pickupPointType": "text",
          "name": "text",
          "address": "text",
          "postalCode": "text",
          "city": "text",
          "countryCode": "text"
        },
        "trackingNumber": "text",
        "deliveryProviderUid": "text",
        "deliveryProviderMethodUid": "text",
        "deliveryProviderMethodTimeslotUid": "text",
        "timeslot": {
          "fromTime": "00:00:00",
          "toTime": "00:00:00"
        },
        "deliveryProviderProcessIndicator": "text",
        "freightProductUid": "text",
        "freightPrice": 1
      }
    }
  ]
}
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "customerAddress": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "email": "text",
    "firstname": "text",
    "lastname": "text",
    "mobile": "text",
    "postalCode": "text",
    "vatNumber": "text",
    "displayName": "text"
  },
  "customerUid": "text",
  "customerContact": {
    "customerContactUid": "text",
    "firstname": "text",
    "lastname": "text",
    "email": "text",
    "mobile": "text",
    "displayName": "text"
  },
  "deliveryState": "NOT_STARTED",
  "externalOrderNumber": "text",
  "externalVoucherNumber": "text",
  "invoiceAddress": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "email": "text",
    "mobile": "text",
    "firstname": "text",
    "lastname": "text",
    "postalCode": "text",
    "displayName": "text",
    "customerAddressUid": "text"
  },
  "items": [
    {
      "actions": [
        {
          "comment": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "handlingActionUid": "text",
          "handlingActionName": "text",
          "handlingDescription": "text",
          "handlingUid": "text",
          "handlingName": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "orderHandlingActionUid": "text"
        }
      ],
      "allowedActions": [
        "QUANTITY_SOLD"
      ],
      "createdAt": "2026-01-01T00:00:00.000Z",
      "discountReasonCode": "text",
      "externalId": "text",
      "itemCost": 1,
      "itemDiscountAmount": 1,
      "itemDiscountPercentage": 1,
      "itemGrossProfitAmount": 1,
      "itemGrossProfitPercentage": 1,
      "itemPrice": 1,
      "itemVatAmount": 1,
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "name": "text",
      "note": "text",
      "orderItemUid": "text",
      "orderLinks": [
        {
          "orderUid": "text",
          "orderItemUid": "text",
          "orderNumber": "text",
          "storeUid": "text",
          "type": "CREDIT"
        }
      ],
      "originalItemPrice": 1,
      "productUid": "text",
      "productType": "STOCK",
      "properties": [
        {
          "uid": "text",
          "key": "text",
          "value": "text"
        }
      ],
      "quantityCredited": 1,
      "quantityDelivered": 1,
      "quantityOrdered": 1,
      "quantityReserved": 1,
      "returnReasonCode": "text",
      "serialnumber": "text",
      "sku": "text",
      "sortOrder": 1,
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "totalCost": 1,
      "totalDiscountAmount": 1,
      "totalGrossProfitAmount": 1,
      "totalPrice": 1,
      "totalVatAmount": 1,
      "vatCodeUid": "text",
      "warehouseUid": "text",
      "warehouseName": "text",
      "internalInfo": "text",
      "productProperties": [
        {
          "productPropertyUid": "text",
          "propertyName": "text",
          "propertyOptionName": "text",
          "propertyType": "TEXT",
          "propertyText": "text",
          "propertyUid": "text",
          "propertyOptionUid": "text",
          "required": true
        }
      ],
      "coverImage": {
        "productMediaUid": "text",
        "mainUrl": "text",
        "thumbnailUrl": "text"
      },
      "deliveryUid": "text",
      "compensationReasonCode": "text",
      "orderReceiptUid": "text",
      "allowDelivery": "YES",
      "allowDeliveryFromDate": "2026-01-01T00:00:00.000Z",
      "reservationType": "NONE",
      "reservationDetails": {
        "warehouse": {
          "warehouseName": "text"
        },
        "purchaseOrder": {
          "purchaseOrderUid": "text",
          "purchaseOrderItemUid": "text",
          "expectedDeliveryDate": "2026-01-01T00:00:00.000Z",
          "purchaseOrderNumber": "text",
          "quantityOrdered": 1,
          "externalId": "text"
        },
        "receivement": {
          "receivementUid": "text",
          "receivementItemUid": "text",
          "expectedArrival": "2026-01-01T00:00:00.000Z",
          "expectedDispatch": "2026-01-01T00:00:00.000Z",
          "quantity": 1,
          "supplierOrderReference": "text",
          "receivedAt": "2026-01-01T00:00:00.000Z"
        }
      },
      "gtins": [
        {
          "gtin": "text",
          "primary": true,
          "type": "text"
        }
      ]
    }
  ],
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "note": "text",
  "internalNote": "text",
  "orderUid": "text",
  "orderNumber": "text",
  "orderDate": "2026-01-01T00:00:00.000Z",
  "orderState": "OPEN",
  "orderTotals": {
    "costTotal": 1,
    "grandTotal": 1,
    "grossProfitAmount": 1,
    "grossProfitPercentage": 1,
    "specifiedVat": [
      {
        "vatAmount": 1,
        "vatDescription": "text",
        "vatRate": 1
      }
    ],
    "subtotal": 1,
    "totalDiscount": 1,
    "totalVat": 1
  },
  "orderhandlingState": "NOT_STARTED",
  "orderhandlings": [
    {
      "active": true,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "description": "text",
      "handlingUid": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "name": "text",
      "orderHandlingUid": "text",
      "state": "NOT_STARTED"
    }
  ],
  "settleState": "NOT_STARTED",
  "settledAt": "2026-01-01T00:00:00.000Z",
  "settlementTotals": {
    "change": 1,
    "remaining": 1,
    "remainingRounded": 1,
    "totals": 1,
    "remainingPrePayment": 1,
    "remainingAuthorizedAmount": 1
  },
  "settlements": [
    {
      "amount": 1,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "displayMessages": [
        {
          "key": "text",
          "message": "text",
          "timestamp": "2026-01-01T00:00:00.000Z"
        }
      ],
      "externalId": "text",
      "externalPaymentReference": "text",
      "idMethod": "NO_CVM_RULE_PERFORMED",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "ledgerType": "LEDGER",
      "parameters": [
        {
          "key": "text",
          "value": "text",
          "name": "text",
          "type": "TEXT"
        }
      ],
      "settledAt": "2026-01-01T00:00:00.000Z",
      "settlementCode": "text",
      "settlementUid": "text",
      "settlementName": "text",
      "state": "NOT_STARTED",
      "status": "NEW",
      "storeSettlementIssuer": {
        "storeSettlementIssuerUid": "text",
        "name": "text",
        "code": "text"
      },
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "storePaymentMethodUid": "text",
      "currency": {
        "amount": 1,
        "code": "text",
        "exchangeRate": 1
      },
      "additionalDetails": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "creditCount": 1,
      "creditAmount": 1,
      "paymentCount": 1,
      "paymentAmount": 1,
      "tillUid": "text",
      "tillName": "text",
      "tillNumber": 1,
      "storeUid": "text",
      "storeName": "text",
      "orderReceiptUid": "text",
      "authorizedAmount": 1,
      "capturedAmount": 1,
      "refundedAmount": 1,
      "receiptText": "text",
      "transactions": [
        {
          "transactionType": "text",
          "pspTransactionId": "text",
          "transactionAmount": 1,
          "orderReceiptUid": "text"
        }
      ]
    }
  ],
  "storeUid": "text",
  "storeName": "text",
  "systemOrigin": "text",
  "tenantUserDisplayName": "text",
  "tenantUserUid": "text",
  "tillUid": "text",
  "type": "OFFER",
  "validUntil": "2026-01-01T00:00:00.000Z",
  "vatFree": true,
  "vatPrint": "SUM",
  "voucherNumber": "text",
  "deliveryDate": "2026-01-01",
  "discounts": [
    {
      "orderDiscountUid": "text",
      "discountCode": "text",
      "type": "PERCENTAGE",
      "amount": 1,
      "name": "text",
      "origin": "LOYALTY",
      "validTo": "2026-01-01T00:00:00.000Z",
      "maxUsage": 1,
      "productSkus": [
        "text"
      ],
      "orderItemUids": [
        "text"
      ],
      "externalTransactionId": "text",
      "scope": "WHOLE_ORDER",
      "discountReasonCode": "text",
      "discountReference": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "campaignUid": "text"
    }
  ],
  "compensationReasonUid": "text",
  "lastModifiedBy": "text",
  "allowedActions": []
}

Search for order

post
/tenants/{tenantUid}/stores/{storeUid}/orders/search

The field orderStatuses can not be used in combination with orderStates, settleStates or deliveryStates.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Body

Search for orders.

Only one of the keys in the search object will be used in a search.

If more than one key is supplied the keys will be used in the priorty of how they appear in the object. Example: query will be used first if it is supplied, if it is not supplied the customer key will be used, and so on.

An empty string will be ignored, and handeled as if the key did not exist in the payload.

Fuzzy search means that it will try to find words that contains the query string that is supplied. Example: If you search for "Ol" you will get "Olsen", "Olstad", "Bolset", "Ormebol", etc ..

customerQuerystringOptional

Search for orders containting this customer. The customer can be specific by firstname, lastname, phonenumber or email. This is a fuzzy search.

customerUidstringOptionalPattern: ^[A-Za-z0-9-_]+
fromDateTimestring · date-timeOptionalDeprecated
createdAtFromstring · date-timeOptional
settledAtFromstring · date-timeOptional
lastModifiedAtFromstring · date-timeOptional
orderNumberstringOptional

Search for an order with a specific ordernumber. This is an exact lookup

productSkustringOptional

Search for orders containing the product. This must be a SKU and is an exact lookup.

querystringOptional

General query string. Use to search for orders where the server decided the query conditions. This is a fuzzy search.

toDateTimestring · date-timeOptionalDeprecated
createdAtTostring · date-timeOptional
settledAtTostring · date-timeOptional
lastModifiedAtTostring · date-timeOptional
tenantUserUidsstring[]Optional
orderHandlingUidsstring[]Optional
productUidsstring[]Optional
tenantPaymentMethodUidsstring[]Optional

Search for order containing one of the specified payment methods.

isCustomerOrderbooleanOptional

If true, returns orders with orderlines that has either reservationType='REQUEST_PURCHASEORDER' or has a link to a purchaseOrder item

hasReservedLinesbooleanOptional

When true, the search returns only orders that include at least one order line with a reservation (reservedQuantity <> 0). When omitted or false, reservation state does not affect the results.

orderDateFromstring · date-timeOptional
orderDateTostring · date-timeOptional
Responses
200

Example response

application/json
post/tenants/{tenantUid}/stores/{storeUid}/orders/search
POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 840

{
  "customerQuery": "text",
  "customerUid": "text",
  "createdAtFrom": "2026-01-01T00:00:00.000Z",
  "settledAtFrom": "2026-01-01T00:00:00.000Z",
  "lastModifiedAtFrom": "2026-01-01T00:00:00.000Z",
  "orderNumber": "text",
  "productSku": "text",
  "query": "text",
  "createdAtTo": "2026-01-01T00:00:00.000Z",
  "settledAtTo": "2026-01-01T00:00:00.000Z",
  "lastModifiedAtTo": "2026-01-01T00:00:00.000Z",
  "tenantUserUids": [
    "text"
  ],
  "orderHandlingStates": [
    "NOT_STARTED"
  ],
  "orderHandlingUids": [
    "text"
  ],
  "orderStates": [
    "OPEN"
  ],
  "settleStates": [
    "NOT_STARTED"
  ],
  "deliveryStates": [
    "NOT_STARTED"
  ],
  "orderStatuses": [
    "OPEN"
  ],
  "orderTypes": [
    "OFFER"
  ],
  "productUids": [
    "text"
  ],
  "tenantPaymentMethodUids": [
    "text"
  ],
  "reservationTypes": [
    "NONE"
  ],
  "isCustomerOrder": true,
  "hasReservedLines": true,
  "amountRange": {
    "from": 1,
    "to": 1
  },
  "orderDateFrom": "2026-01-01T00:00:00.000Z",
  "orderDateTo": "2026-01-01T00:00:00.000Z"
}
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "customerAddress": {
        "address": "text",
        "city": "text",
        "companyName": "text",
        "countryCode": "text",
        "email": "text",
        "firstname": "text",
        "lastname": "text",
        "mobile": "text",
        "postalCode": "text",
        "vatNumber": "text",
        "displayName": "text"
      },
      "customerUid": "text",
      "customerContact": {
        "customerContactUid": "text",
        "firstname": "text",
        "lastname": "text",
        "email": "text",
        "mobile": "text",
        "displayName": "text"
      },
      "deliveryState": "NOT_STARTED",
      "externalOrderNumber": "text",
      "externalVoucherNumber": "text",
      "invoiceAddress": {
        "address": "text",
        "city": "text",
        "companyName": "text",
        "countryCode": "text",
        "email": "text",
        "mobile": "text",
        "firstname": "text",
        "lastname": "text",
        "postalCode": "text",
        "displayName": "text",
        "customerAddressUid": "text"
      },
      "items": [
        {
          "actions": [
            {
              "comment": "text",
              "createdAt": "2026-01-01T00:00:00.000Z",
              "createdBy": "text",
              "handlingActionUid": "text",
              "handlingActionName": "text",
              "handlingDescription": "text",
              "handlingUid": "text",
              "handlingName": "text",
              "lastModifiedAt": "2026-01-01T00:00:00.000Z",
              "lastModifiedBy": "text",
              "orderHandlingActionUid": "text"
            }
          ],
          "allowedActions": [
            "QUANTITY_SOLD"
          ],
          "createdAt": "2026-01-01T00:00:00.000Z",
          "discountReasonCode": "text",
          "externalId": "text",
          "itemCost": 1,
          "itemDiscountAmount": 1,
          "itemDiscountPercentage": 1,
          "itemGrossProfitAmount": 1,
          "itemGrossProfitPercentage": 1,
          "itemPrice": 1,
          "itemVatAmount": 1,
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "ledgerNumber": "text",
          "name": "text",
          "note": "text",
          "orderItemUid": "text",
          "orderLinks": [
            {
              "orderUid": "text",
              "orderItemUid": "text",
              "orderNumber": "text",
              "storeUid": "text",
              "type": "CREDIT"
            }
          ],
          "originalItemPrice": 1,
          "productUid": "text",
          "productType": "STOCK",
          "properties": [
            {
              "uid": "text",
              "key": "text",
              "value": "text"
            }
          ],
          "quantityCredited": 1,
          "quantityDelivered": 1,
          "quantityOrdered": 1,
          "quantityReserved": 1,
          "returnReasonCode": "text",
          "serialnumber": "text",
          "sku": "text",
          "sortOrder": 1,
          "tenantUserDisplayName": "text",
          "tenantUserUid": "text",
          "totalCost": 1,
          "totalDiscountAmount": 1,
          "totalGrossProfitAmount": 1,
          "totalPrice": 1,
          "totalVatAmount": 1,
          "vatCodeUid": "text",
          "warehouseUid": "text",
          "warehouseName": "text",
          "internalInfo": "text",
          "productProperties": [
            {
              "productPropertyUid": "text",
              "propertyName": "text",
              "propertyOptionName": "text",
              "propertyType": "TEXT",
              "propertyText": "text",
              "propertyUid": "text",
              "propertyOptionUid": "text",
              "required": true
            }
          ],
          "coverImage": {
            "productMediaUid": "text",
            "mainUrl": "text",
            "thumbnailUrl": "text"
          },
          "deliveryUid": "text",
          "compensationReasonCode": "text",
          "orderReceiptUid": "text",
          "allowDelivery": "YES",
          "allowDeliveryFromDate": "2026-01-01T00:00:00.000Z",
          "reservationType": "NONE",
          "reservationDetails": {
            "warehouse": {
              "warehouseName": "text"
            },
            "purchaseOrder": {
              "purchaseOrderUid": "text",
              "purchaseOrderItemUid": "text",
              "expectedDeliveryDate": "2026-01-01T00:00:00.000Z",
              "purchaseOrderNumber": "text",
              "quantityOrdered": 1,
              "externalId": "text"
            },
            "receivement": {
              "receivementUid": "text",
              "receivementItemUid": "text",
              "expectedArrival": "2026-01-01T00:00:00.000Z",
              "expectedDispatch": "2026-01-01T00:00:00.000Z",
              "quantity": 1,
              "supplierOrderReference": "text",
              "receivedAt": "2026-01-01T00:00:00.000Z"
            }
          },
          "gtins": [
            {
              "gtin": "text",
              "primary": true,
              "type": "text"
            }
          ]
        }
      ],
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "note": "text",
      "internalNote": "text",
      "orderUid": "text",
      "orderNumber": "text",
      "orderDate": "2026-01-01T00:00:00.000Z",
      "orderState": "OPEN",
      "orderTotals": {
        "costTotal": 1,
        "grandTotal": 1,
        "grossProfitAmount": 1,
        "grossProfitPercentage": 1,
        "specifiedVat": [
          {
            "vatAmount": 1,
            "vatDescription": "text",
            "vatRate": 1
          }
        ],
        "subtotal": 1,
        "totalDiscount": 1,
        "totalVat": 1
      },
      "orderhandlingState": "NOT_STARTED",
      "orderhandlings": [
        {
          "active": true,
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "description": "text",
          "handlingUid": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "name": "text",
          "orderHandlingUid": "text",
          "state": "NOT_STARTED"
        }
      ],
      "settleState": "NOT_STARTED",
      "settledAt": "2026-01-01T00:00:00.000Z",
      "settlementTotals": {
        "change": 1,
        "remaining": 1,
        "remainingRounded": 1,
        "totals": 1,
        "remainingPrePayment": 1,
        "remainingAuthorizedAmount": 1
      },
      "settlements": [
        {
          "amount": 1,
          "createdAt": "2026-01-01T00:00:00.000Z",
          "displayMessages": [
            {
              "key": "text",
              "message": "text",
              "timestamp": "2026-01-01T00:00:00.000Z"
            }
          ],
          "externalId": "text",
          "externalPaymentReference": "text",
          "idMethod": "NO_CVM_RULE_PERFORMED",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "ledgerNumber": "text",
          "ledgerType": "LEDGER",
          "parameters": [
            {
              "key": "text",
              "value": "text",
              "name": "text",
              "type": "TEXT"
            }
          ],
          "settledAt": "2026-01-01T00:00:00.000Z",
          "settlementCode": "text",
          "settlementUid": "text",
          "settlementName": "text",
          "state": "NOT_STARTED",
          "status": "NEW",
          "storeSettlementIssuer": {
            "storeSettlementIssuerUid": "text",
            "name": "text",
            "code": "text"
          },
          "tenantUserDisplayName": "text",
          "tenantUserUid": "text",
          "storePaymentMethodUid": "text",
          "currency": {
            "amount": 1,
            "code": "text",
            "exchangeRate": 1
          },
          "additionalDetails": [
            {
              "key": "text",
              "value": "text"
            }
          ],
          "creditCount": 1,
          "creditAmount": 1,
          "paymentCount": 1,
          "paymentAmount": 1,
          "tillUid": "text",
          "tillName": "text",
          "tillNumber": 1,
          "storeUid": "text",
          "storeName": "text",
          "orderReceiptUid": "text",
          "authorizedAmount": 1,
          "capturedAmount": 1,
          "refundedAmount": 1,
          "receiptText": "text",
          "transactions": [
            {
              "transactionType": "text",
              "pspTransactionId": "text",
              "transactionAmount": 1,
              "orderReceiptUid": "text"
            }
          ]
        }
      ],
      "storeUid": "text",
      "storeName": "text",
      "systemOrigin": "text",
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "tillUid": "text",
      "type": "OFFER",
      "validUntil": "2026-01-01T00:00:00.000Z",
      "vatFree": true,
      "vatPrint": "SUM",
      "voucherNumber": "text",
      "deliveryDate": "2026-01-01",
      "discounts": [
        {
          "orderDiscountUid": "text",
          "discountCode": "text",
          "type": "PERCENTAGE",
          "amount": 1,
          "name": "text",
          "origin": "LOYALTY",
          "validTo": "2026-01-01T00:00:00.000Z",
          "maxUsage": 1,
          "productSkus": [
            "text"
          ],
          "orderItemUids": [
            "text"
          ],
          "externalTransactionId": "text",
          "scope": "WHOLE_ORDER",
          "discountReasonCode": "text",
          "discountReference": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "campaignUid": "text"
        }
      ],
      "compensationReasonUid": "text",
      "lastModifiedBy": "text",
      "allowedActions": []
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Update sales order reservations

post
/tenants/{tenantUid}/orders/reservations

Set reservationType on order items to be reserved on a warehouse or a purchaseorder. Use PURCHASE_ORDER_CONFIRMED to mark order items as 'Purchase order created in external system'

Required permissions: SALES_ORDER,RETURN_ORDER,PURCHASE_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body

If reservationType == WAREHOUSE, uid must have a value pointing to a legal warehouseUid. If reservationType == PURCHASE, uid must have a value pointing to a legal purchase order.

uidstringOptional

The uid must be warehouseUid if the reservationType is WAREHOUSE, purchaseOrderItemUid if it is PURCHASEORDER and receivementItemUid if it is PURCHASEORDER_CONFIRMED

Pattern: ^[A-Za-z0-9-_]+
reservationTypestring · enumRequiredPossible values:
Responses
204

No Content

No content

post/tenants/{tenantUid}/orders/reservations
POST /v2/tenants/{tenantUid}/orders/reservations HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 97

{
  "uid": "text",
  "reservationType": "WAREHOUSE",
  "orders": [
    {
      "orderUid": "text",
      "orderItemUid": "text"
    }
  ]
}
204

No Content

No content

Search for orders in all stores on tenant

post
/tenants/{tenantUid}/orders/search

Optionally narrow down the search to order in given stores and organizatons.

The field orderStatuses can not be used in combination with the fields orderStates, settleStates or deliveryStates.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Body

Search for orders in all stores on tenant.

An empty string will be ignored, and handled as if the key did not exist in the payload.

Fuzzy search means that it will try to find words that contains the query string that is supplied. The search is case-insensitive. Example: If you search for "Ol" you will get "Olsen", "Olstad", "Bolset", "Ormebol", kolstad@example.com, etc ..

storeUidsstring[]Optional
organizationUidsstring[]Optional
customerQuerystringOptional

Search for orders containting this customer. The customer can be specific by firstname, lastname, phonenumber or email. This is a fuzzy search.

customerUidstringOptionalPattern: ^[A-Za-z0-9-_]+
fromDateTimestring · date-timeOptionalDeprecated
createdAtFromstring · date-timeOptional
settledAtFromstring · date-timeOptional
lastModifiedAtFromstring · date-timeOptional
orderNumberstringOptional

Search for an order with a specific ordernumber. This is an exact lookup

externalOrderNumberstringOptional

Search for an order with a specific externalOrderNumber. This is an exact lookup

externalVoucherNumberstringOptional

Search for an order with a specific externalVouchermber. This is an exact lookup

productSkustringOptional

Search for orders containing the product. This must be a SKU and is an exact lookup.

toDateTimestring · date-timeOptionalDeprecated
createdAtTostring · date-timeOptional
settledAtTostring · date-timeOptional
lastModifiedAtTostring · date-timeOptional
tenantUserUidsstring[]Optional
orderHandlingUidsstring[]Optional
deliverFromStoreUidsstring[]Optional
querystringOptional

General fuzzy search.

productUidsstring[]Optional
tenantPaymentMethodUidsstring[]Optional

Search for order containing one of the specified payment methods.

isCustomerOrderbooleanOptional

If true, returns orders with orderlines that has either reservationType='REQUEST_PURCHASEORDER' or has a link to a purchaseOrder item

hasReservedLinesbooleanOptional

When true, the search returns only orders that include at least one order line with a reservation (reservedQuantity <> 0). When omitted or false, reservation state does not affect the results.

orderDateFromstring · date-timeOptional
orderDateTostring · date-timeOptional
Responses
200

Example response

application/json
post/tenants/{tenantUid}/orders/search
POST /v2/tenants/{tenantUid}/orders/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 981

{
  "storeUids": [
    "text"
  ],
  "organizationUids": [
    "text"
  ],
  "customerQuery": "text",
  "customerUid": "text",
  "createdAtFrom": "2026-01-01T00:00:00.000Z",
  "settledAtFrom": "2026-01-01T00:00:00.000Z",
  "lastModifiedAtFrom": "2026-01-01T00:00:00.000Z",
  "orderNumber": "text",
  "externalOrderNumber": "text",
  "externalVoucherNumber": "text",
  "productSku": "text",
  "createdAtTo": "2026-01-01T00:00:00.000Z",
  "settledAtTo": "2026-01-01T00:00:00.000Z",
  "lastModifiedAtTo": "2026-01-01T00:00:00.000Z",
  "tenantUserUids": [
    "text"
  ],
  "orderStates": [
    "OPEN"
  ],
  "settleStates": [
    "NOT_STARTED"
  ],
  "deliveryStates": [
    "NOT_STARTED"
  ],
  "orderStatuses": [
    "OPEN"
  ],
  "orderTypes": [
    "OFFER"
  ],
  "orderHandlingStates": [
    "NOT_STARTED"
  ],
  "orderHandlingUids": [
    "text"
  ],
  "deliverFromStoreUids": [
    "text"
  ],
  "query": "text",
  "productUids": [
    "text"
  ],
  "tenantPaymentMethodUids": [
    "text"
  ],
  "reservationTypes": [
    "NONE"
  ],
  "isCustomerOrder": true,
  "hasReservedLines": true,
  "amountRange": {
    "from": 1,
    "to": 1
  },
  "orderDateFrom": "2026-01-01T00:00:00.000Z",
  "orderDateTo": "2026-01-01T00:00:00.000Z"
}
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "customerAddress": {
        "address": "text",
        "city": "text",
        "companyName": "text",
        "countryCode": "text",
        "email": "text",
        "firstname": "text",
        "lastname": "text",
        "mobile": "text",
        "postalCode": "text",
        "vatNumber": "text",
        "displayName": "text"
      },
      "customerUid": "text",
      "customerContact": {
        "customerContactUid": "text",
        "firstname": "text",
        "lastname": "text",
        "email": "text",
        "mobile": "text",
        "displayName": "text"
      },
      "deliveryState": "NOT_STARTED",
      "externalOrderNumber": "text",
      "externalVoucherNumber": "text",
      "invoiceAddress": {
        "address": "text",
        "city": "text",
        "companyName": "text",
        "countryCode": "text",
        "email": "text",
        "mobile": "text",
        "firstname": "text",
        "lastname": "text",
        "postalCode": "text",
        "displayName": "text",
        "customerAddressUid": "text"
      },
      "items": [
        {
          "actions": [
            {
              "comment": "text",
              "createdAt": "2026-01-01T00:00:00.000Z",
              "createdBy": "text",
              "handlingActionUid": "text",
              "handlingActionName": "text",
              "handlingDescription": "text",
              "handlingUid": "text",
              "handlingName": "text",
              "lastModifiedAt": "2026-01-01T00:00:00.000Z",
              "lastModifiedBy": "text",
              "orderHandlingActionUid": "text"
            }
          ],
          "allowedActions": [
            "QUANTITY_SOLD"
          ],
          "createdAt": "2026-01-01T00:00:00.000Z",
          "discountReasonCode": "text",
          "externalId": "text",
          "itemCost": 1,
          "itemDiscountAmount": 1,
          "itemDiscountPercentage": 1,
          "itemGrossProfitAmount": 1,
          "itemGrossProfitPercentage": 1,
          "itemPrice": 1,
          "itemVatAmount": 1,
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "ledgerNumber": "text",
          "name": "text",
          "note": "text",
          "orderItemUid": "text",
          "orderLinks": [
            {
              "orderUid": "text",
              "orderItemUid": "text",
              "orderNumber": "text",
              "storeUid": "text",
              "type": "CREDIT"
            }
          ],
          "originalItemPrice": 1,
          "productUid": "text",
          "productType": "STOCK",
          "properties": [
            {
              "uid": "text",
              "key": "text",
              "value": "text"
            }
          ],
          "quantityCredited": 1,
          "quantityDelivered": 1,
          "quantityOrdered": 1,
          "quantityReserved": 1,
          "returnReasonCode": "text",
          "serialnumber": "text",
          "sku": "text",
          "sortOrder": 1,
          "tenantUserDisplayName": "text",
          "tenantUserUid": "text",
          "totalCost": 1,
          "totalDiscountAmount": 1,
          "totalGrossProfitAmount": 1,
          "totalPrice": 1,
          "totalVatAmount": 1,
          "vatCodeUid": "text",
          "warehouseUid": "text",
          "warehouseName": "text",
          "internalInfo": "text",
          "productProperties": [
            {
              "productPropertyUid": "text",
              "propertyName": "text",
              "propertyOptionName": "text",
              "propertyType": "TEXT",
              "propertyText": "text",
              "propertyUid": "text",
              "propertyOptionUid": "text",
              "required": true
            }
          ],
          "coverImage": {
            "productMediaUid": "text",
            "mainUrl": "text",
            "thumbnailUrl": "text"
          },
          "deliveryUid": "text",
          "compensationReasonCode": "text",
          "orderReceiptUid": "text",
          "allowDelivery": "YES",
          "allowDeliveryFromDate": "2026-01-01T00:00:00.000Z",
          "reservationType": "NONE",
          "reservationDetails": {
            "warehouse": {
              "warehouseName": "text"
            },
            "purchaseOrder": {
              "purchaseOrderUid": "text",
              "purchaseOrderItemUid": "text",
              "expectedDeliveryDate": "2026-01-01T00:00:00.000Z",
              "purchaseOrderNumber": "text",
              "quantityOrdered": 1,
              "externalId": "text"
            },
            "receivement": {
              "receivementUid": "text",
              "receivementItemUid": "text",
              "expectedArrival": "2026-01-01T00:00:00.000Z",
              "expectedDispatch": "2026-01-01T00:00:00.000Z",
              "quantity": 1,
              "supplierOrderReference": "text",
              "receivedAt": "2026-01-01T00:00:00.000Z"
            }
          },
          "gtins": [
            {
              "gtin": "text",
              "primary": true,
              "type": "text"
            }
          ]
        }
      ],
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "note": "text",
      "internalNote": "text",
      "orderUid": "text",
      "orderNumber": "text",
      "orderDate": "2026-01-01T00:00:00.000Z",
      "orderState": "OPEN",
      "orderTotals": {
        "costTotal": 1,
        "grandTotal": 1,
        "grossProfitAmount": 1,
        "grossProfitPercentage": 1,
        "specifiedVat": [
          {
            "vatAmount": 1,
            "vatDescription": "text",
            "vatRate": 1
          }
        ],
        "subtotal": 1,
        "totalDiscount": 1,
        "totalVat": 1
      },
      "orderhandlingState": "NOT_STARTED",
      "orderhandlings": [
        {
          "active": true,
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "description": "text",
          "handlingUid": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "name": "text",
          "orderHandlingUid": "text",
          "state": "NOT_STARTED"
        }
      ],
      "settleState": "NOT_STARTED",
      "settledAt": "2026-01-01T00:00:00.000Z",
      "settlementTotals": {
        "change": 1,
        "remaining": 1,
        "remainingRounded": 1,
        "totals": 1,
        "remainingPrePayment": 1,
        "remainingAuthorizedAmount": 1
      },
      "settlements": [
        {
          "amount": 1,
          "createdAt": "2026-01-01T00:00:00.000Z",
          "displayMessages": [
            {
              "key": "text",
              "message": "text",
              "timestamp": "2026-01-01T00:00:00.000Z"
            }
          ],
          "externalId": "text",
          "externalPaymentReference": "text",
          "idMethod": "NO_CVM_RULE_PERFORMED",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "ledgerNumber": "text",
          "ledgerType": "LEDGER",
          "parameters": [
            {
              "key": "text",
              "value": "text",
              "name": "text",
              "type": "TEXT"
            }
          ],
          "settledAt": "2026-01-01T00:00:00.000Z",
          "settlementCode": "text",
          "settlementUid": "text",
          "settlementName": "text",
          "state": "NOT_STARTED",
          "status": "NEW",
          "storeSettlementIssuer": {
            "storeSettlementIssuerUid": "text",
            "name": "text",
            "code": "text"
          },
          "tenantUserDisplayName": "text",
          "tenantUserUid": "text",
          "storePaymentMethodUid": "text",
          "currency": {
            "amount": 1,
            "code": "text",
            "exchangeRate": 1
          },
          "additionalDetails": [
            {
              "key": "text",
              "value": "text"
            }
          ],
          "creditCount": 1,
          "creditAmount": 1,
          "paymentCount": 1,
          "paymentAmount": 1,
          "tillUid": "text",
          "tillName": "text",
          "tillNumber": 1,
          "storeUid": "text",
          "storeName": "text",
          "orderReceiptUid": "text",
          "authorizedAmount": 1,
          "capturedAmount": 1,
          "refundedAmount": 1,
          "receiptText": "text",
          "transactions": [
            {
              "transactionType": "text",
              "pspTransactionId": "text",
              "transactionAmount": 1,
              "orderReceiptUid": "text"
            }
          ]
        }
      ],
      "storeUid": "text",
      "storeName": "text",
      "systemOrigin": "text",
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "tillUid": "text",
      "type": "OFFER",
      "validUntil": "2026-01-01T00:00:00.000Z",
      "vatFree": true,
      "vatPrint": "SUM",
      "voucherNumber": "text",
      "deliveryDate": "2026-01-01",
      "discounts": [
        {
          "orderDiscountUid": "text",
          "discountCode": "text",
          "type": "PERCENTAGE",
          "amount": 1,
          "name": "text",
          "origin": "LOYALTY",
          "validTo": "2026-01-01T00:00:00.000Z",
          "maxUsage": 1,
          "productSkus": [
            "text"
          ],
          "orderItemUids": [
            "text"
          ],
          "externalTransactionId": "text",
          "scope": "WHOLE_ORDER",
          "discountReasonCode": "text",
          "discountReference": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "campaignUid": "text"
        }
      ],
      "compensationReasonUid": "text",
      "lastModifiedBy": "text",
      "allowedActions": []
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Get order details

get
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}

Get order details. This will return a complete order object.

Required permissions: SALES_ORDER,RETURN_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

Use invoiceAddress only if an order has a different invoice than orderAddress.

createdAtstring · date-timeRequired
customerUidstringRequiredPattern: ^[A-Za-z0-9-_]*
deliveryStatestring · enumRequired
ENUMDescription
NOT_STARTEDDelivery not started
IN_PROGRESSDelivery is in progress. Some order lines are still reserved
COMPLETEDelivery is complete. All order lines are delivered
Possible values:
externalOrderNumberstringRequired
externalVoucherNumberstringRequired
lastModifiedAtstring · date-timeRequired
notestringRequired

Note visible on the receipt.

internalNotestringRequired

Internal note, not visible on the receipt.

orderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderNumberstringRequired
orderDatestring · date-time · nullableRequired

This field has value if type == ORDER

orderStatestring · enumRequired
ENUMDescription
OPENOrder is open and beeing edited by someone
PARKEDOrder is parked
CANCELEDOrder is canceled/deleted
COMPLETEOrder is complete
CONFIRMEDOrder is confirmed
Possible values:
orderhandlingStatestring · enumRequired
ENUMDescription
NOT_STARTEDHandling has not been started.
IN_PROGRESSHandling is in progress.
ON_HOLDHandling is paused (on hold).
COMPLETEHandling is complete.
Possible values:
settleStatestring · enumRequired
ENUMDescription
NOT_STARTEDSettlement not started
IN_PROGRESSSettlement is in progress and the order cannot be changed
COMPLETESettlement is complete
Possible values:
settledAtstring · date-time · nullableOptional

When the settleState is set COMPLETE.

storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
storeNamestringRequired
systemOriginstringRequired
tenantUserDisplayNamestringRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tillUidstringRequiredPattern: ^[A-Za-z0-9-_]*
typestring · enumRequiredPossible values:
validUntilstring · date-time · nullableOptional
vatFreebooleanRequired
vatPrintstring · enumRequired
ENUMDescription
SUMPrint as a part of orderlines.
SEPARATEPrint as a separate field.
Possible values:
voucherNumberstringRequired

A reference to a fully settled order.

deliveryDatestring · dateRequired
compensationReasonUidstringRequiredPattern: ^[A-Za-z0-9-_]*
lastModifiedBystringRequired
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "customerAddress": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "email": "text",
    "firstname": "text",
    "lastname": "text",
    "mobile": "text",
    "postalCode": "text",
    "vatNumber": "text",
    "displayName": "text"
  },
  "customerUid": "text",
  "customerContact": {
    "customerContactUid": "text",
    "firstname": "text",
    "lastname": "text",
    "email": "text",
    "mobile": "text",
    "displayName": "text"
  },
  "deliveryState": "NOT_STARTED",
  "externalOrderNumber": "text",
  "externalVoucherNumber": "text",
  "invoiceAddress": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "email": "text",
    "mobile": "text",
    "firstname": "text",
    "lastname": "text",
    "postalCode": "text",
    "displayName": "text",
    "customerAddressUid": "text"
  },
  "items": [
    {
      "actions": [
        {
          "comment": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "handlingActionUid": "text",
          "handlingActionName": "text",
          "handlingDescription": "text",
          "handlingUid": "text",
          "handlingName": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "orderHandlingActionUid": "text"
        }
      ],
      "allowedActions": [
        "QUANTITY_SOLD"
      ],
      "createdAt": "2026-01-01T00:00:00.000Z",
      "discountReasonCode": "text",
      "externalId": "text",
      "itemCost": 1,
      "itemDiscountAmount": 1,
      "itemDiscountPercentage": 1,
      "itemGrossProfitAmount": 1,
      "itemGrossProfitPercentage": 1,
      "itemPrice": 1,
      "itemVatAmount": 1,
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "name": "text",
      "note": "text",
      "orderItemUid": "text",
      "orderLinks": [
        {
          "orderUid": "text",
          "orderItemUid": "text",
          "orderNumber": "text",
          "storeUid": "text",
          "type": "CREDIT"
        }
      ],
      "originalItemPrice": 1,
      "productUid": "text",
      "productType": "STOCK",
      "properties": [
        {
          "uid": "text",
          "key": "text",
          "value": "text"
        }
      ],
      "quantityCredited": 1,
      "quantityDelivered": 1,
      "quantityOrdered": 1,
      "quantityReserved": 1,
      "returnReasonCode": "text",
      "serialnumber": "text",
      "sku": "text",
      "sortOrder": 1,
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "totalCost": 1,
      "totalDiscountAmount": 1,
      "totalGrossProfitAmount": 1,
      "totalPrice": 1,
      "totalVatAmount": 1,
      "vatCodeUid": "text",
      "warehouseUid": "text",
      "warehouseName": "text",
      "internalInfo": "text",
      "productProperties": [
        {
          "productPropertyUid": "text",
          "propertyName": "text",
          "propertyOptionName": "text",
          "propertyType": "TEXT",
          "propertyText": "text",
          "propertyUid": "text",
          "propertyOptionUid": "text",
          "required": true
        }
      ],
      "coverImage": {
        "productMediaUid": "text",
        "mainUrl": "text",
        "thumbnailUrl": "text"
      },
      "deliveryUid": "text",
      "compensationReasonCode": "text",
      "orderReceiptUid": "text",
      "allowDelivery": "YES",
      "allowDeliveryFromDate": "2026-01-01T00:00:00.000Z",
      "reservationType": "NONE",
      "reservationDetails": {
        "warehouse": {
          "warehouseName": "text"
        },
        "purchaseOrder": {
          "purchaseOrderUid": "text",
          "purchaseOrderItemUid": "text",
          "expectedDeliveryDate": "2026-01-01T00:00:00.000Z",
          "purchaseOrderNumber": "text",
          "quantityOrdered": 1,
          "externalId": "text"
        },
        "receivement": {
          "receivementUid": "text",
          "receivementItemUid": "text",
          "expectedArrival": "2026-01-01T00:00:00.000Z",
          "expectedDispatch": "2026-01-01T00:00:00.000Z",
          "quantity": 1,
          "supplierOrderReference": "text",
          "receivedAt": "2026-01-01T00:00:00.000Z"
        }
      },
      "gtins": [
        {
          "gtin": "text",
          "primary": true,
          "type": "text"
        }
      ]
    }
  ],
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "note": "text",
  "internalNote": "text",
  "orderUid": "text",
  "orderNumber": "text",
  "orderDate": "2026-01-01T00:00:00.000Z",
  "orderState": "OPEN",
  "orderTotals": {
    "costTotal": 1,
    "grandTotal": 1,
    "grossProfitAmount": 1,
    "grossProfitPercentage": 1,
    "specifiedVat": [
      {
        "vatAmount": 1,
        "vatDescription": "text",
        "vatRate": 1
      }
    ],
    "subtotal": 1,
    "totalDiscount": 1,
    "totalVat": 1
  },
  "orderhandlingState": "NOT_STARTED",
  "orderhandlings": [
    {
      "active": true,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "description": "text",
      "handlingUid": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "name": "text",
      "orderHandlingUid": "text",
      "state": "NOT_STARTED"
    }
  ],
  "settleState": "NOT_STARTED",
  "settledAt": "2026-01-01T00:00:00.000Z",
  "settlementTotals": {
    "change": 1,
    "remaining": 1,
    "remainingRounded": 1,
    "totals": 1,
    "remainingPrePayment": 1,
    "remainingAuthorizedAmount": 1
  },
  "settlements": [
    {
      "amount": 1,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "displayMessages": [
        {
          "key": "text",
          "message": "text",
          "timestamp": "2026-01-01T00:00:00.000Z"
        }
      ],
      "externalId": "text",
      "externalPaymentReference": "text",
      "idMethod": "NO_CVM_RULE_PERFORMED",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "ledgerNumber": "text",
      "ledgerType": "LEDGER",
      "parameters": [
        {
          "key": "text",
          "value": "text",
          "name": "text",
          "type": "TEXT"
        }
      ],
      "settledAt": "2026-01-01T00:00:00.000Z",
      "settlementCode": "text",
      "settlementUid": "text",
      "settlementName": "text",
      "state": "NOT_STARTED",
      "status": "NEW",
      "storeSettlementIssuer": {
        "storeSettlementIssuerUid": "text",
        "name": "text",
        "code": "text"
      },
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "storePaymentMethodUid": "text",
      "currency": {
        "amount": 1,
        "code": "text",
        "exchangeRate": 1
      },
      "additionalDetails": [
        {
          "key": "text",
          "value": "text"
        }
      ],
      "creditCount": 1,
      "creditAmount": 1,
      "paymentCount": 1,
      "paymentAmount": 1,
      "tillUid": "text",
      "tillName": "text",
      "tillNumber": 1,
      "storeUid": "text",
      "storeName": "text",
      "orderReceiptUid": "text",
      "authorizedAmount": 1,
      "capturedAmount": 1,
      "refundedAmount": 1,
      "receiptText": "text",
      "transactions": [
        {
          "transactionType": "text",
          "pspTransactionId": "text",
          "transactionAmount": 1,
          "orderReceiptUid": "text"
        }
      ]
    }
  ],
  "storeUid": "text",
  "storeName": "text",
  "systemOrigin": "text",
  "tenantUserDisplayName": "text",
  "tenantUserUid": "text",
  "tillUid": "text",
  "type": "OFFER",
  "validUntil": "2026-01-01T00:00:00.000Z",
  "vatFree": true,
  "vatPrint": "SUM",
  "voucherNumber": "text",
  "deliveryDate": "2026-01-01",
  "discounts": [
    {
      "orderDiscountUid": "text",
      "discountCode": "text",
      "type": "PERCENTAGE",
      "amount": 1,
      "name": "text",
      "origin": "LOYALTY",
      "validTo": "2026-01-01T00:00:00.000Z",
      "maxUsage": 1,
      "productSkus": [
        "text"
      ],
      "orderItemUids": [
        "text"
      ],
      "externalTransactionId": "text",
      "scope": "WHOLE_ORDER",
      "discountReasonCode": "text",
      "discountReference": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "campaignUid": "text"
    }
  ],
  "compensationReasonUid": "text",
  "lastModifiedBy": "text",
  "allowedActions": []
}

Order Operations

post
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}

Order Operations

Required permissions: SALES_ORDER,RETURN_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
operationstring · enumRequired
ENUMDescription
RECALCULATE_SETTLEMENTSDo a sum of settlements on order and calculate the settle_state on order
RECALCULATE_COSTPRICESRetreive updated costprices on the order linse of an order. Can only be done when order state = PARKED
Possible values:
Responses
200

Example response

application/json

Use invoiceAddress only if an order has a different invoice than orderAddress.

createdAtstring · date-timeRequired
customerUidstringRequiredPattern: ^[A-Za-z0-9-_]*
deliveryStatestring · enumRequired
ENUMDescription
NOT_STARTEDDelivery not started
IN_PROGRESSDelivery is in progress. Some order lines are still reserved
COMPLETEDelivery is complete. All order lines are delivered
Possible values:
externalOrderNumberstringRequired
externalVoucherNumberstringRequired
lastModifiedAtstring · date-timeRequired
notestringRequired

Note visible on the receipt.

internalNotestringRequired

Internal note, not visible on the receipt.

orderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
orderNumberstringRequired
orderDatestring · date-time · nullableRequired

This field has value if type == ORDER

orderStatestring · enumRequired
ENUMDescription
OPENOrder is open and beeing edited by someone
PARKEDOrder is parked
CANCELEDOrder is canceled/deleted
COMPLETEOrder is complete
CONFIRMEDOrder is confirmed
Possible values:
orderhandlingStatestring · enumRequired
ENUMDescription
NOT_STARTEDHandling has not been started.
IN_PROGRESSHandling is in progress.
ON_HOLDHandling is paused (on hold).
COMPLETEHandling is complete.
Possible values:
settleStatestring · enumRequired
ENUMDescription
NOT_STARTEDSettlement not started
IN_PROGRESSSettlement is in progress and the order cannot be changed
COMPLETESettlement is complete
Possible values:
settledAtstring · date-time · nullableOptional

When the settleState is set COMPLETE.

storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
storeNamestringRequired
systemOriginstringRequired
tenantUserDisplayNamestringRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tillUidstringRequiredPattern: ^[A-Za-z0-9-_]*
typestring · enumRequiredPossible values:
validUntilstring · date-time · nullableOptional
vatFreebooleanRequired
vatPrintstring · enumRequired
ENUMDescription
SUMPrint as a part of orderlines.
SEPARATEPrint as a separate field.
Possible values:
voucherNumberstringRequired

A reference to a fully settled order.

deliveryDatestring · dateRequired
compensationReasonUidstringRequiredPattern: ^[A-Za-z0-9-_]*
lastModifiedBystringRequired
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}
POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 39

{
  "operation": "RECALCULATE_SETTLEMENTS"
}
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "customerAddress": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "email": "text",
    "firstname": "text",
    "lastname": "text",
    "mobile": "text",
    "postalCode": "text",
    "vatNumber": "text",
    "displayName": "text"
  },
  "customerUid": "text",
  "customerContact": {
    "customerContactUid": "text",
    "firstname": "text",
    "lastname": "text",
    "email": "text",
    "mobile": "text",
    "displayName": "text"
  },
  "deliveryState": "NOT_STARTED",
  "externalOrderNumber": "text",
  "externalVoucherNumber": "text",
  "invoiceAddress": {
    "address": "text",
    "city": "text",
    "companyName": "text",
    "countryCode": "text",
    "email": "text",
    "mobile": "text",
    "firstname": "text",
    "lastname": "text",
    "postalCode": "text",
    "displayName": "text",
    "customerAddressUid": "text"
  },
  "items": [
    {
      "actions": [
        {
          "comment": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "handlingActionUid": "text",
          "handlingActionName": "text",
          "handlingDescription": "text",
          "handlingUid": "text",
          "handlingName": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "orderHandlingActionUid": "text"
[...]
